document.ontouchmove = function (e) {
    e.preventDefault();
};

var router;

$(function () {

    $(window).resize(function () {
        $(window).scrollTop(0);//Fix rotation glitch on iOS7.1
    })


    $('.game').show();

    $('.button--show-memory').hammer().on('tap', function () {
        games.memory.start();
        router.push("/memory", "Hairy Maclary - Memory");
        return false;
    });

    $('.button--show-puzzle-chooser').hammer().on('tap', function () {
        $('#backToWebsite').css('left', -200);

        games.puzzles.start();
        router.push("/puzzles", "Hairy Maclary - Puzzles");
        return false;
    });

    $('.button--show-spotthedifference-chooser').hammer().on('tap', function () {
        $('#backToWebsite').css('left', -200);

        games.spotTheDifference.start();
        router.push("/spotthedifference", "Hairy Maclary - Spot the difference");
        return false;
    });


    $('.button--show-lobby')
        .hammer()
        .on('tap', function () {
            $('.game-lobby').removeClass('hide');
            $('.game.show').removeClass('show');

            /* Remove transitions */
            if ($(this).data("notransition")) {
                $(".selection, .chooser").addClass("notransition");
            }

            /* Show the main switchboard buttons */
            $('.selection').addClass("show");

            /* Hide the individual game selection panels */
            $('.chooser').removeClass("show");

            //Delay css layout
            setTimeout(function () {
                /* Add transitions again*/
                $(".selection, .chooser").removeClass("notransition");
            }, 1);

            $('#backToWebsite').removeAttr('style');

            router.push("/");
        });



    router = new Router();
    router.register('/puzzles', function (routeData) {
        games.puzzles.start();
        $('#backToWebsite').css('left', -200);
    });

    router.register('/puzzles/*', function (routeData) {
        games.puzzles.start();
        games.puzzles.loadPuzzle(null, routeData[1]);
        $('#backToWebsite').css('left', -200);
    });

    router.register('/memory', function () {
        games.memory.start();
    });

    router.register('/spotthedifference', function () {
        games.spotTheDifference.start();
        $('#backToWebsite').css('left', -200);
    });

    router.register('/spotthedifference/*', function (routeData) {
        games.spotTheDifference.choosePuzzle(null, routeData[1]);
        $('#backToWebsite').css('left', -200);
    });

    if (window.addEventListener) {
        window.addEventListener("popstate", function (e) {
            router.route(location.pathname);
        });
    }

    router.TryRoute();

});


